Bug 212729 - External VGA port does not work (i810 driver)
External VGA port does not work (i810 driver)
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
Depends On:
  Show dependency treegraph
Reported: 2006-10-28 10:17 EDT by zingale
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-04-10 18:35:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Xorg log file when using xorg.conf (66.24 KB, application/octet-stream)
2007-01-02 11:41 EST, zingale
no flags Details
xorg.conf (2.80 KB, application/octet-stream)
2007-01-02 12:09 EST, zingale
no flags Details
Xorg log file when NOT using xorg.conf (71.48 KB, application/octet-stream)
2007-01-02 13:18 EST, zingale
no flags Details

  None (edit)
Description zingale 2006-10-28 10:17:15 EDT
Description of problem:

Install FC6 on an thinkpad x60 (Intel 945 graphics, 1024x768 LCD)

Plug a projector into the external VGA and nothing happens (even
when explicitly pressing fn-F7)

Version-Release number of selected component (if applicable):

How reproducible:


Steps to Reproduce:
Actual results:

Expected results:

should be able to use external VGA

Additional info:

two modifications to my xorg.conf are needed to get it to work:

modify the "Device" section to look like:

Section "Device"
        Identifier  "Videocard0"
        Driver      "i810"
        Option "MonitorLayout" "CRT,LFP"
        Option "DevicePresence" "true"
#       Option "CheckLid" "false"
        Option "Clone" "true"
        VendorName  "Videocard vendor"
        BoardName   "Intel Corporation Mobile Integrated Graphics Controller"

(here, I've added the MonitorLayout, DevicePresence, and Clone lines)

Also, I needed to comment out the HorizSync and VertSync values to get
the refresh rate down from 85 Hz to 60 Hz.

Now, when I plug a projector in, the external display just works.  No key
combination necessary -- it appears on the laptop display and external display

Can't this port be enabled by default when the xorg.conf is written?
Or perhaps system-config-display can have some option to allow for this to be
Comment 1 Matěj Cepl 2006-12-28 16:48:51 EST
Thanks for the bug report and sorry for answering to your report so late, but
hopefully we will get faster turnover now.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 zingale 2007-01-02 11:41:04 EST
Created attachment 144648 [details]
Xorg log file when using xorg.conf
Comment 3 zingale 2007-01-02 12:09:13 EST
Created attachment 144649 [details]
Comment 4 zingale 2007-01-02 13:18:32 EST
Created attachment 144656 [details]
Xorg log file when NOT using xorg.conf
Comment 5 zingale 2007-01-02 13:22:27 EST
Attached is the xorg.conf and the Xorg.0.log file resulting from running with
that.  I've also attached the Xorg.0.log file from when I run w/o any xorg.conf
-- as requested.

In this latter case (no xorg.conf file), my external VGA port does not work and
the display appears to look a bit worse (some flickering).  

When I restore the xorg.conf, things look good and a projector plugged into the
external VGA port works automatically (no keypress required), displaying on the
laptop screen and through the projector simultaneously.

Comment 6 Adam Jackson 2007-04-10 18:35:04 EDT
As of xorg-x11-drv-i810-1.6.5-19.fc7, 915GM and all 945 and 965 chips will use
the intel modesetting driver by default.  Please update, and test with that
driver, and reopen if you have further issues.

Note You need to log in before you can comment on or make changes to this bug.